Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-05-03, 03:41 PM   #1
Bohne
Registered User
 
Join Date: Jul 2003
Posts: 1
Default Redhat 9 compile Flightgears Glut Error

Hi

I've a problem with compiling flightgears which need glut libarys. I know that the glut libarys with Redhat 9 (glut-3.7-12) don't work together with third party nvidia driver. I've deletet the original glut rpm's and compiled successfully the mesa glut. Then ldconfig to link the new libary's. But the same error while compiling:

checking for glutGetModifiers in -lfreeglut... no
checking for glutGetModifiers in -lglut... no
configure: error: could not find working GLUT library

What I've done wrong??

Thanks for every answer...
Bohne is offline   Reply With Quote
Old 07-05-03, 08:57 PM   #2
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

What did you use for a --prefix= when you compiled glut?

If you didn't use anything, then it put itself into /usr/local/lib, which RedHat (for some reason known only to them...) doesn't have listed in /etc/ld.so.conf. So even after you ran ldconfig, it still didn't pick up the libraries, because it wasn't looking in /usr/local/lib (only /usr/lib and /lib).

Either add /usr/local/lib to /etc/ld.so.conf and rerun ldconfig, or pass --prefix=/usr to the glut ./configure script. Or if it doesn't have a configure script, then edit its Makefile so that it installs libglut into /usr/lib.

If none of this seems to apply, then look in config.log in the FlightGear directory. It will have logged the reason that linking failed into that file.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Regression with 295.33 and GeForce GT 240 maro NVIDIA Linux 16 06-29-12 07:47 PM
295.40 295 cannot be compiled on 3.2 kernel delta32 NVIDIA Linux 4 05-27-12 10:47 PM
Mandrake 9 and nVidia drivers HunterA3 NVIDIA Linux 9 10-09-02 03:54 AM
Redhat 8.0, no rpm, can't compile. Ironphil NVIDIA Linux 6 10-02-02 04:13 PM
Mandrake 8.2 Nvidia src.rpm problems Mr_Malcontent NVIDIA Linux 8 09-11-02 10:53 PM

All times are GMT -5. The time now is 03:47 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.